# yamllint disable rule:indentation rule:line-length
# Ubuntu-20.04
---
values:
  arch: amd64
  map_jinja:
    sources:
    - Y:G@osarch
    - Y:G@os_family
    - Y:G@os
    - Y:G@osfinger
    - C@i3wm:lookup
    - C@i3wm
    - Y:G@id
  media-key-bindings:
    decrease-brightness:
      command: brightnessctl set 5%- intel_backlight
      keybind: XF86MonBrightnessDown
    increase-brightness:
      command: brightnessctl set +5% intel_backlight
      keybind: XF86MonBrightnessUp
    lower-volume:
      command: pactl set-sink-volume @DEFAULT_SINK@ -10% && $refresh_i3status
      flags: --no-startup-id
      keybind: XF86AudioLowerVolume
    mute-microphone:
      command: pactl set-source-mute @DEFAULT_SOURCE@ toggle && $refresh_i3status
      flags: --no-startup-id
      keybind: XF86AudioMicMute
    mute-volume:
      command: pactl set-sink-mute @DEFAULT_SINK@ toggle && $refresh_i3status
      flags: --no-startup-id
      keybind: XF86AudioMute
    raise-volume:
      command: pactl set-sink-volume @DEFAULT_SINK@ +10% && $refresh_i3status
      flags: --no-startup-id
      keybind: XF86AudioRaiseVolume
  pkgs:
    - i3-wm
    - i3lock
    - i3status
    - xss-lock
